'From Squeak3.4 of 1 March 2003 [latest update: #5170] on 18 May 2003 at 6:00:10 pm'!
Smalltalk renameClassNamed: #MorphTest as: #MCPTest!
TestCase subclass: #MCPTest
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'MCPTest'!

!MCPTest commentStamp: 'dgd 2/21/2003 20:15' prior: 0!
Test related to Morph Cleaning Project (MCP)

   http://minnow.cc.gatech.edu/squeak/3005

!
]style[(49 39 2)f1,f1Rhttp://minnow.cc.gatech.edu/squeak/3005;,f1!


!MCPTest methodsFor: 'Testing' stamp: 'jam 3/9/2003 17:44'!
morphClassesAndMorphicClasses
	"anwers subclasses of Morph and all the classes categorized as Morphic"
	^ Morph withAllSubclasses , self morphicClasses! !

!MCPTest methodsFor: 'Testing' stamp: 'jam 3/9/2003 17:42'!
morphicClasses
	"answers the classes categorized as Morphic"
	^ Object withAllSubclasses
		select: [:each | each isMeta not
				and: [each category beginsWith: 'Morphic-']]! !

!MCPTest methodsFor: 'Testing' stamp: 'gm 2/28/2003 02:02'!
testAssignmentInIfTrue
	"test that same statement at the end of the ifTrue:ifFalse: are fixed"
	| rule environment result classesToIgnore classesToTest |
	rule _ ParseTreeLintRule assignmentInIfTrue.
	classesToIgnore _ {FlashSpriteMorph. RecordingControlsMorph. SketchEditorMorph. KeyboardMorphForInput. GraphMorph. TransitionMorph. MPEGDisplayMorph. PluggableListMorphOfMany. AudioChatGUI. PianoKeyboardMorph. WonderlandCameraMorph. Morph. AdvancedB3DSceneMorph. MoviePlayerMorph. ChessMorph. TableLayout. TextMorphEditor}.
	classesToTest _ self morphClassesAndMorphicClasses copyWithoutAll: classesToIgnore.
	environment _ ClassEnvironment new
				classes: classesToTest.
	result _ (rule runOnEnvironment: environment) result.
	self assert: result isEmpty!
]style[(22 2 70 3 40 18 4 3 17 22 15 4 16 2 22 2 17 2 21 2 10 2 15 2 16 2 24 2 12 2 18 2 21 2 5 2 21 2 16 2 40 20 4 47 16 2 11 3 16 34 6 4 4 19 11 11 4 9 6 8)f1b,f1,f1c149047000,f1,f1cblue;i,f1,f1cblue;i,f1,f1cmagenta;,f1,f1cblue;i,f1,f1cmagenta;,f1,f1cmagenta;,f1,f1cmagenta;,f1,f1cmagenta;,f1,f1cmagenta;,f1,f1cmagenta;,f1,f1cmagenta;,f1,f1cmagenta;,f1,f1cmagenta;,f1,f1cmagenta;,f1,f1cmagenta;,f1,f1cmagenta;,f1,f1cmagenta;,f1,f1cmagenta;,f1,f1cmagenta;,f1,f1cmagenta;,f1,f1cblue;i,f1,f1cblue;i,f1,f1cmagenta;,f1,f1cblue;i,f1,f1cblue;i,f1,f1cblue;i,f1,f1cmagenta;,f1,f1cblue;i,f1! !

!MCPTest methodsFor: 'Testing' stamp: 'gm 2/25/2003 23:24'!
testEndTrueFalse
	"test that same statement at the end of the ifTrue:ifFalse: are fixed"
	| rule environment result |
	rule _ ParseTreeLintRule endTrueFalse.
	environment _ ClassEnvironment new classes: self morphClassesAndMorphicClasses.
	result _ (rule runOnEnvironment: environment) result.
	self assert: result isEmpty! !

!MCPTest methodsFor: 'Testing' stamp: 'gm 2/22/2003 12:58'!
testIsMorphicModel
	"test isMorphicModel"
	self deny: Object new isMorphicModel.
	self deny: Morph new isMorphicModel.
	self assert: MorphicModel new isMorphicModel.
! !

!MCPTest methodsFor: 'Testing' stamp: 'gm 2/16/2003 20:42'!
testIsSystemWindow
	"test isSystemWindow"
	self deny: Object new isSystemWindow.
	self assert: SystemWindow new isSystemWindow.
	self assert: WorldWindow new isSystemWindow.! !

!MCPTest methodsFor: 'Testing' stamp: 'gm 3/1/2003 20:36'!
testMinMax
	"test that min: and max: are used"
	| rule environment result |
	rule _ ParseTreeLintRule minMax.
	environment _ ClassEnvironment new classes: self morphClassesAndMorphicClasses.
	result _ (rule runOnEnvironment: environment) result.
	self assert: result isEmpty! !

!MCPTest methodsFor: 'Testing - geometry' stamp: 'dgd 2/14/2003 10:13'!
defaultBounds
	"the default bounds for morphs"
	^ 0 @ 0 corner: 50 @ 40 ! !

!MCPTest methodsFor: 'Testing - geometry' stamp: 'dgd 2/14/2003 10:13'!
defaultTop
	"the default top for morphs"
	^ self defaultBounds top ! !

!MCPTest methodsFor: 'Testing - geometry' stamp: 'dgd 2/14/2003 10:15'!
testTop
	"test the #top: messages and its consequences"

	| morph factor newTop newBounds |
	morph _ Morph new.
	""
	factor _ 10.
	newTop _ self defaultTop + factor.
	newBounds _ self defaultBounds translateBy: 0 @ factor.
	""
	morph top: newTop.
	""
	self assert: morph top = newTop;
		 assert: morph bounds = newBounds! !

!MCPTest methodsFor: 'Testing - initialize' stamp: 'gm 3/10/2003 22:45'!
classesAndBorderColors
	"answer a collection or associations aClass -> aColor"
	| result |
	result _ OrderedCollection new.
	result add: GeePrinterDialogMorph
			-> (Color
					r: 0.92
					g: 0.92
					b: 0.782);
		 add: PolygonMorph
			-> (Color
					r: 0.0
					g: 0.419
					b: 0.935);
		 add: EToyProjectQueryMorph
			-> (Color
					r: 0.475
					g: 0.41
					b: 0.541);
		 add: PasteUpMorph
			-> (Color
					r: 0.861
					g: 1.0
					b: 0.722);
		 add: MorphicModel -> Color yellow;
		 add: EToyListenerMorph -> Color blue;
		 add: EtoyLoginMorph
			-> Color paleYellow darker;
		 add: SorterTokenMorph -> Color blue;
		 add: Mines -> #raised;
		 add: ZoomAndScrollControllerMorph -> Color transparent;
		 add: EToyChatMorph -> Color darkGray;
		 add: EventRecorderMorph -> #raised;
		 add: ZASMScriptMorph -> Color blue;
		 add: StarMorph -> Color black;
		 add: BasicButton
			-> (Color
					r: 0.92
					g: 0.92
					b: 0.0);
		 add: ScrollPane -> Color black;
		 add: ZoomAndScrollMorph -> Color red;
		 add: MinesBoard -> #inset;
		 add: LipsMorph -> Color black;
		 add: B3DSceneExplorerMorph -> #raised;
		 add: EToyProjectRenamerMorph
			-> (Color
					r: 0.92
					g: 0.92
					b: 0.782);
		 add: TwoWayScrollPane -> #inset;
		 add: SelectionMorph -> Color blue;
		 add: DoCommandOnceMorph -> Color blue;
		 add: BalloonMorph -> Color black;
		 add: EToyFridgeMorph -> #raised;
		 add: ClipboardMorph
			-> (Color
					r: 1.0
					g: 0.355
					b: 0.452);
		 add: UpdatingRectangleMorph
			-> (Color
					r: 0.705
					g: 0.701
					b: 0.701);
		 add: EToyProjectHistoryMorph -> #raised;
		 add: SystemWindow
			-> (Preferences alternativeWindowLook
					ifTrue: [#raised]
					ifFalse: [Color black]);
		 add: BorderedMorph -> Color black;
		 add: Slider -> #inset;
		 add: EToyGateKeeperMorph -> #raised;
		 add: GraphicalMenu -> Color blue darker.
	^ result! !

!MCPTest methodsFor: 'Testing - initialize' stamp: 'dgd 2/17/2003 20:53'!
classesAndBorderWidths
	"answer a collection or associations aClass -> anInteger"
	| result |
	result _ OrderedCollection new.
	result add: MidiInputMorph -> 2;
		 add: EToyChatMorph -> 8;
		 add: PasteUpMorph -> 1;
		 add: ZASMScriptMorph -> 2;
		 add: AlignmentMorph -> 0;
		 add: EToyListenerMorph -> 4;
		 add: ScaleMorph -> 0;
		 add: TTSampleStringMorph -> 0;
		 add: ZoomAndScrollControllerMorph -> 0;
		 add: BasicButton -> 1;
		 add: LipsMorph -> 1;
		 add: TTSampleFontMorph -> 1;
		 add: EToySenderMorph -> 4;
		 add: EToyFridgeMorph -> 4;
		 add: SelectionMorph -> 1;
		 add: EToyProjectHistoryMorph -> 4;
		 add: DoCommandOnceMorph -> 8;
		 add: BalloonMorph -> 1;
		 add: MoviePlayerMorph -> 2;
		 add: ClipboardMorph -> 0;
		 add: SoundDemoMorph -> 2;
		 add: BookPageSorterMorph -> 2;
		 add: SystemWindow -> (Preferences alternativeWindowLook
		ifTrue: [2]
		ifFalse: [1]);
		 add: Slider -> 1;
		 add: GraphicalMenu -> 1;
		 add: EventRecorderMorph -> 2;
		 add: PluggableButtonMorph -> 1;
		 add: SameGameBoard -> 2;
		 add: EtoyLoginMorph -> 8;
		 add: SorterTokenMorph -> 1;
		 add: Mines -> 2;
		 add: EllipseMorph -> 1;
		 add: FloatingBookControlsMorph -> 1;
		 add: IndexTabs -> 0;
		 add: SoundLoopMorph -> 1;
		 add: StarMorph -> 1;
		 add: AudioChatGUI -> 4;
		 add: MinesBoard -> 2;
		 add: AbstractMediaEventMorph -> 1;
		 add: EToyProjectRenamerMorph -> 8;
		 add: ScorePlayerMorph -> 2;
		 add: PianoRollScoreMorph -> 1;
		 add: InterimSoundMorph -> 1;
		 add: MagnifierMorph -> 1;
		 add: ScriptEditorMorph -> 1;
		 add: ProjectSorterMorph -> 0;
		 add: BorderedMorph -> 2;
		 add: EToyGateKeeperMorph -> 4;
		 add: GeePrinterDialogMorph -> 8;
		 add: BalloonRectangleMorph -> 10.
	^ result! !

!MCPTest methodsFor: 'Testing - initialize' stamp: 'gm 3/9/2003 21:58'!
classesAndBounds
	"answer a collection or associations aClass -> aRectangle"
	| result |
	result _ OrderedCollection new.
	result add: EToyChatMorph
			-> (400 @ 100 corner: 600 @ 250);
		 add: TetrisBlock
			-> (-2 @ -2 corner: -1 @ -1);
		 add: MorphicModel
			-> (0 @ 0 corner: 200 @ 100);
		 add: SoundLoopMorph
			-> (0 @ 0 corner: 130 @ 130);
		 add: MenuItemMorph
			-> (0 @ 0 corner: 10 @ 10);
		 add: Morph
			-> (0 @ 0 corner: 50 @ 40);
		 add: Slider
			-> (0 @ 0 corner: 16 @ 100);
		 add: TetrisBoard
			-> (0 @ 0 corner: 121 @ 325);
		 add: AlansTextPlusMorph
			-> (100 @ 100 extent: Display extent // 3);
		 add: GeeMailMorph
			-> (100 @ 100 extent: Display extent // 3).
	^ result! !

!MCPTest methodsFor: 'Testing - initialize' stamp: 'dgd 2/17/2003 20:49'!
classesAndColors
	"answer a collection or associations aClass -> aColor"
	| result |
	result _ OrderedCollection new.
	result add: MidiInputMorph -> Color veryLightGray;
		 add: PasteUpMorph -> Color lightGreen;
		 add: MorphicModel -> Color transparent;
		 add: TTSampleStringMorph -> {Color magenta. Color yellow. Color orange. Color lightGray};
		 add: PDAMorph
			-> (Color
					r: 0.953
					g: 1.0
					b: 0.884);
		 add: GeeBookMorph
			-> (Color
					r: 0.909
					g: 0.819
					b: 0.09);
		 add: NebraskaServerMorph -> Color white;
		 add: ViewerEntry
			-> (Color
					r: 1.0
					g: 0.985
					b: 0.985);
		 add: BasicButton -> Color yellow;
		 add: LipsMorph -> Color black;
		 add: SoundEventMorph -> Color lightGreen;
		 add: EToySenderMorph -> Color lightMagenta;
		 add: ZoomMorph -> Color transparent;
		 add: SelectionMorph -> Color transparent;
		 add: FreeCellBoard -> Color green;
		 add: EToyFridgeMorph -> Color paleRed;
		 add: BalloonMorph
			-> (Color
					r: 1.0
					g: 1.0
					b: 0.6);
		 add: BookMorph -> Color white;
		 add: ClipboardMorph -> Color blue;
		 add: SoundDemoMorph -> Color lightGray;
		 add: Slider -> Color lightGray;
		 add: BookPageThumbnailMorph -> Color lightGray;
		 add: InternalThreadNavigationMorph
			-> (TranslucentColor
					r: 0.27
					g: 0.634
					b: 0.365
					alpha: 0.25);
		 add: EventRecorderMorph -> Color red;
		 add: PluggableButtonMorph -> Color lightGreen;
		 add: SameGameBoard -> Color gray;
		 add: EllipseMorph -> Color yellow;
		 add: MorphThumbnail -> Color lightGray;
		 add: ZoomAndScrollMorph -> Color lightGray;
		 add: MinesBoard -> Color lightGray;
		 add: ThreadNavigationMorph
			-> (Color
					r: 1.0
					g: 0.03
					b: 0.03);
		 add: LedDigitMorph -> Color green;
		 add: TinyPaint -> Color veryVeryLightGray;
		 add: PianoKeyboardMorph -> Color veryLightGray;
		 add: EToyProjectRenamerMorph -> Color paleYellow;
		 add: ScorePlayerMorph -> Color veryLightGray;
		 add: InterimSoundMorph
			-> (Color
					r: 0.0
					g: 0.8
					b: 0.6);
		 add: ViewerLine
			-> (Color
					r: 1.0
					g: 0.985
					b: 0.985);
		 add: MagnifierMorph -> Color black;
		 add: SketchEditorMorph
			-> (TranslucentColor
					r: 1.0
					g: 1.0
					b: 1.0
					alpha: 0.5);
		 add: FlashPlayerMorph -> Color white;
		 add: GeePrinterDialogMorph -> Color paleYellow;
		 add: EToyGateKeeperMorph -> Color lightGray;
		 add: MovieMorph -> Color magenta;
		 add: PolygonMorph -> Color orange;
		 add: ZASMScriptMorph -> Color lightBlue;
		 add: EToyChatMorph -> Color paleYellow;
		 add: EToyProjectQueryMorph
			-> (Color
					r: 0.545
					g: 0.47
					b: 0.621);
		 add: TextMorph -> Color black;
		 add: AlignmentMorph
			-> (Color
					r: 0.8
					g: 1.0
					b: 0.8);
		 add: EToyListenerMorph -> Color lightBlue;
		 add: LedCharacterMorph -> Color green;
		 add: ScaleMorph -> Color lightGreen;
		 add: ZoomAndScrollControllerMorph -> Color lightBlue;
		 add: FillInTheBlankMorph -> Color white;
		 add: MultiuserTinyPaint -> Color veryVeryLightGray;
		 add: FaceMorph -> Color transparent;
		 add: TTSampleFontMorph -> Color black;
		 add: TransformMorph -> Color lightGreen;
		 add: MoviePlayerMorph -> Color veryLightGray;
		 add: EToyProjectHistoryMorph -> Color lightBrown;
		 add: AlansTextPlusMorph -> Color white;
		 add: TabbedPalette -> Color transparent;
		 add: SystemWindow
			-> (Preferences alternativeWindowLook
					ifTrue: [Color white]
					ifFalse: [Color black]);
		 add: GraphicalMenu -> Color white;
		 add: PartsWindow -> Color white;
		 add: EtoyLoginMorph
			-> (Color
					r: 0.65
					g: 0.65
					b: 1.0);
		 add: SorterTokenMorph -> Color transparent;
		 add: SameGame -> Color lightGray;
		 add: Morph -> Color blue;
		 add: Mines -> Color lightGray;
		 add: TetrisBoard -> Color lightBlue;
		 add: IndexTabs
			-> (Color
					r: 0.0
					g: 0.6
					b: 0.6);
		 add: RectangleMorph
			-> (Color
					r: 0.613
					g: 0.903
					b: 1.0);
		 add: TetrisBlock -> Tetris colors;
		 add: SoundLoopMorph -> Color lightBlue;
		 add: FatBitsPaint -> Color veryVeryLightGray;
		 add: StarMorph -> Color lightBlue;
		 add: FlashSorterMorph -> Color transparent;
		 add: AudioChatGUI -> Color yellow;
		 add: AbstractMediaEventMorph -> Color paleYellow;
		 add: B3DSceneExplorerMorph
			-> (Color
					r: 0.8
					g: 0.8
					b: 0.8);
		 add: PianoRollScoreMorph -> Color white;
		 add: StringMorph -> Color black;
		 add: NebraskaNavigationMorph -> Color yellow;
		 add: ProjectNavigationMorph -> Color orange;
		 add: EToyMorphsWelcomeMorph -> Color yellow;
		 add: URLMorph -> Color lightGray;
		 add: Tetris -> Color lightGray;
		 add: ScriptEditorMorph
			-> (Color
					r: 0.903
					g: 1.0
					b: 0.903);
		 add: EToyHierarchicalTextMorph -> Color white;
		 add: EnvelopeLineMorph -> Color transparent;
		 add: CachingMorph -> Color veryLightGray;
		 add: ProjectSorterMorph
			-> (Color
					r: 0.365
					g: 0.634
					b: 0.729).
	^ result! !

!MCPTest methodsFor: 'Testing - initialize' stamp: 'dgd 2/17/2003 20:47'!
testDefaultBorderColor
	self classesAndBorderColors do: 
			[:each | 
			| class oldBorderColor oldBorderColors instanceBorderColor |
			class := each key.
			oldBorderColor := each value.
			""
			oldBorderColors := oldBorderColor isCollection 
						& oldBorderColor isString not 
							ifTrue: [oldBorderColor]
							ifFalse: 
								[{ 
									oldBorderColor}].
			""
			instanceBorderColor := class new borderColor.
			self assert: (oldBorderColors includes: instanceBorderColor)]! !

!MCPTest methodsFor: 'Testing - initialize' stamp: 'dgd 2/17/2003 20:47'!
testDefaultBorderWidth
	self classesAndBorderWidths
		do: [:each | 
			| class oldBorderWidth instanceBorderWidth | 
			class _ each key.
			oldBorderWidth _ each value.
			""
			instanceBorderWidth _ class new borderWidth.
			self assert: oldBorderWidth = instanceBorderWidth] ! !

!MCPTest methodsFor: 'Testing - initialize' stamp: 'gm 3/9/2003 09:36'!
testDefaultBounds
	self classesAndBounds
		do: [:each | 
			| class oldBounds instanceBounds | 
			class _ each key.
			oldBounds _ each value.
			""
			instanceBounds _ class new bounds.
			self assert: oldBounds = instanceBounds] ! !

!MCPTest methodsFor: 'Testing - initialize' stamp: 'dgd 3/7/2003 16:13'!
testDefaultColor
	self classesAndColors
		do: [:each | 
			| class oldColor oldColors instanceColor | 
			class _ each key.
			oldColor _ each value.
			""
			oldColors _ oldColor isCollection
						ifTrue: [oldColor]
						ifFalse: [{oldColor}].
			""
			instanceColor _ class new color asColor.
			self
				assert: (oldColors includes: instanceColor)]!
]style[(16 2 4 25 6 8 5 1 8 1 9 1 13 7 5 3 4 9 8 3 4 11 2 4 9 3 8 29 8 19 8 7 2 4 13 3 5 23 4 14 9 11 13 2)f2b,f2,f2cmagenta;,f2,f2cred;,f2,f2cblue;i,f2,f2cblue;i,f2,f2cblue;i,f2,f2cblue;i,f2,f2cblue;i,f2,f2cblue;i,f2,f2cblue;i,f2,f2cblue;i,f2,f2c150048000,f2,f2cblue;i,f2,f2cblue;i,f2,f2cblue;i,f2,f2cblue;i,f2,f2c150048000,f2,f2cblue;i,f2,f2cblue;i,f2,f2cmagenta;,f2,f2cblue;i,f2,f2cblue;i,f2! !

!MCPTest methodsFor: 'Testing - instanciation' stamp: 'dgd 2/21/2003 20:45'!
morphsToCreate
	"answer a collection of morphs to test.  
	 
	SoundMorph: it was not working before we start, see class comment.  
	B3DMorph: it has an question in the initialize  
	TransitionMorph: can't be used only with #new  
	"
	^ Morph allSubclasses copyWithoutAll: {SoundMorph. B3DMorph. }! !

!MCPTest methodsFor: 'Testing - instanciation' stamp: 'dgd 2/21/2003 21:24'!
morphsToOpen
	"answer a collection of morphs to test  
	"
	^ self morphsToCreate copyWithoutAll: {TransitionMorph. ScriptStatusControl. PianoRollNoteMorph. MorphThumbnail. PluggableCollectionMorph. ColorPickerMorph. FlashShapeMorph. FlashPlayerWindow. CRDisplayPropertiesMorph. CRDictionaryMorph. WireMorph}! !

!MCPTest methodsFor: 'Testing - instanciation' stamp: 'dgd 2/21/2003 20:46'!
testCreateAllMorphs
	"instanciate all morphs to detect posible errors"
	| morphsBeforeTest |
	morphsBeforeTest _ World submorphs.
	""
	self morphsToCreate
		do: [:each | 
			| instance | 
			instance _ nil.
			""
			self
				shouldnt: [instance _ each new]
				raise: Error.
			""
			instance isNil
				ifFalse: [""
					instance isInWorld
						ifTrue: [instance delete]]].
	""
	(World submorphs copyWithoutAll: morphsBeforeTest)
		do: [:each | each delete] ! !

!MCPTest methodsFor: 'Testing - instanciation' stamp: 'dgd 2/21/2003 21:15'!
testOpenAllMorphs
	"open all morphs to detect posible errors"
	| morphsBeforeTest |
	morphsBeforeTest _ World submorphs.
	""
	self morphsToOpen
		do: [:each | 
			| instance | 
			instance _ each new.
			""
			self
				shouldnt: [""
					instance openInWorld]
				raise: Error.
			""
			instance isNil
				ifFalse: [""
					instance isInWorld
						ifTrue: [instance delete]]].
	""
	(World submorphs copyWithoutAll: morphsBeforeTest)
		do: [:each | each delete]! !

!MCPTest methodsFor: 'Testing - isKindOf' stamp: 'gm 2/26/2003 00:16'!
testIsKindOfRemovedForMorphicClasses
	"tests that isKindOf: aClass is removed, when aClass is a Morphic class"
	| classesToTest |
	classesToTest _ {TextMorph. SystemWindow. HandMorph. StandardViewer. AlignmentMorph. SyntaxMorph. MorphicModel. Morph}.
	self testIsKindOfRemovedFrom: self morphClassesAndMorphicClasses for: classesToTest
!
]style[(36 216 5 65 14)f1b,f1,f1c148046000,f1b,f1! !

!MCPTest methodsFor: 'Testing - isKindOf' stamp: 'gm 2/26/2003 00:16'!
testIsKindOfRemovedForNonMorphicClasses
	"tests that isKindOf: aClass is removed, when aClass is not a Morphic  
	class"
	| classesToTest |
	classesToTest _ {Point. Integer. MessageSend. String. Collection. Form. Behavior. Color. Number}.
	self testIsKindOfRemovedFrom: self morphClassesAndMorphicClasses for: classesToTest
! !

!MCPTest methodsFor: 'Testing - isKindOf' stamp: 'gm 2/23/2003 08:32'!
testIsKindOfRemovedFrom: searchIntoClassCollection for: searchForClassCollection 
	"test that isKindOf: aClass was removed of all Morph categories 
	for any class specified in aClassCollection"
	| matcher rule environment result searchs |
	matcher _ ParseTreeSearcher new.
	searchs _ searchForClassCollection
				collect: [:each | '`@object isKindOf: ' , each name].
	matcher
		matchesAnyOf: searchs
		do: [:aNode :answer | aNode].
	rule _ ParseTreeLintRule new.
	rule matcher: matcher.
	environment _ ClassEnvironment new classes: searchIntoClassCollection.
	result _ (rule runOnEnvironment: environment) result.
	self assert: result isEmpty! !

MCPTest removeSelector: #classesAndBoundses!
MCPTest removeSelector: #morphsToTest!
MCPTest removeSelector: #testIsKindOfMorphRemovedFromMorphHierarchy!
MCPTest removeSelector: #testIsKindOfMorphRemovedFromObjectHierarchy!
MCPTest removeSelector: #testIsKindOfRemovedFromMorphCategoriesFor:!
MCPTest removeSelector: #testIsKindOfRemovedFromMorphHierarchyFor:!
MCPTest removeSelector: #testIsKindOfRemovedFromObjectHierarchyFor:!
MCPTest removeSelector: #testIsKindOfSystemWindowRemovedFromMorphHierarchy!
MCPTest removeSelector: #testIsKindOfSystemWindowRemovedFromObjectHierarchy!

!MCPTest reorganize!
('Testing' morphClassesAndMorphicClasses morphicClasses testAssignmentInIfTrue testEndTrueFalse testIsMorphicModel testIsSystemWindow testMinMax)
('Testing - geometry' defaultBounds defaultTop testTop)
('Testing - initialize' classesAndBorderColors classesAndBorderWidths classesAndBounds classesAndColors testDefaultBorderColor testDefaultBorderWidth testDefaultBounds testDefaultColor)
('Testing - instanciation' morphsToCreate morphsToOpen testCreateAllMorphs testOpenAllMorphs)
('Testing - isKindOf' testIsKindOfRemovedForMorphicClasses testIsKindOfRemovedForNonMorphicClasses testIsKindOfRemovedFrom:for:)
!

